#include <kernel>
#include <thread>

static const unsigned long N = 5_000ul;

#ifndef PREEMPTION_RATE
#define PREEMPTION_RATE 10`ms
#endif

Duration default_preemption() {
	return PREEMPTION_RATE;
}

int main(int argc, char* argv[]) {
	processor * p[15];
	for ( int pi = 0; pi < 15; pi++ ) {
		p[pi] = new();
	}
	for ( int i = 0; i < N; i++) {
		int pi = i % 15;
		delete( p[pi] );
		p[pi] = new();
	}
}
